For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
      • POSTCreate a payment request
      • GETGet payment request details
      • DELDelete a payment request.
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
EcommercePayments

Create a payment request

POST
https://api.brevo.com/v3/payments/requests
POST
/v3/payments/requests
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.payments.createPaymentRequest({
8 cart: {
9 currency: "EUR",
10 specificAmount: 1200,
11 },
12 contactId: 43,
13 reference: "Invoice #INV0001",
14 });
15}
16main();
1{
2 "id": 122,
3 "url": "https://pay.brevo.com/payment/6d4ec0b2b48ef803df4103ve"
4}
Create a new payment request for a Brevo contact. The request requires a reference (displayed on the payment page), a contact ID, and a cart with currency and amount in cents. You can optionally configure a custom success redirect URL and enable email notifications with reminders. Returns the payment request ID and its public payment URL. A `403` error is returned if Brevo Payments is not activated or the account is not validated.
Was this page helpful?
Previous

Get payment request details

Next
Built with

Create a new payment request for a Brevo contact. The request requires a reference (displayed on the payment page), a contact ID, and a cart with currency and amount in cents. You can optionally configure a custom success redirect URL and enable email notifications with reminders. Returns the payment request ID and its public payment URL. A 403 error is returned if Brevo Payments is not activated or the account is not validated.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Request

Create a payment request
cartobjectRequired
Specify the payment currency and amount.
contactIdlongRequired
Brevo ID of the contact requested to pay.
referencestringRequired
Reference of the payment request, it will appear on the payment page.
configurationobjectOptional
Optional. Redirect contact to a custom success page once payment is successful. If empty the default Brevo page will be displayed once a payment is validated
descriptionstringOptional
Description of payment request.
notificationobjectOptional

Optional. Use this object if you want to let Brevo send an email to the contact, with the payment request URL. If empty, no notifications (message and reminders) will be sent.

Response

Payment request created.
idlong
ID of the object created
urlstring
URL of the payment request created

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error